#ifndef __IMAGELOADER_H__
#define __IMAGELOADER_H__

#include <map>
#include <string>

using std::map;
using std::string;

using namespace wsp;

class wsp::Image;

class ImageLoader
{
public:
  Image *get(const char *filename);
  Image *load(const char *filename);
  bool reloadAll();

  bool release(const char *filename);
  bool releaseAll();

protected:
  map<string,Image *> imgs;
};

#endif
